Package: org.codehaus.groovy.util

## [Java] Enum ReferenceType

- org.codehaus.groovy.util.ReferenceType

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `HARD` |
    `PHANTOM` |
    `SOFT` |
    `WEAK` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ReferenceType HARD

    - #### ReferenceType PHANTOM

    - #### ReferenceType SOFT

    - #### ReferenceType WEAK

  - ### Method Detail

    - #### <T, V extends Finalizable> protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)